var HTML5DemoImageElementWrapper ;

(function ()
{
	/* This HTML5 demo image control is used to demonstrate how images can be used in a HTML5 control.*/
	HTML5DemoImageElementWrapper  = function()
	{
		
	
	};
		
	HTML5DemoImageElementWrapper .prototype =
	{
		setImage: function(imagePoolId) {
			// Referencing an image that is configurable by the user of the control
			window.CDSWebVisuAccess.getImagePoolFileName(imagePoolId).then( (newFilePath) => {
				var image = new Image();
				image.src = newFilePath;
				document.body.appendChild(image);
			}
			);
			
			// Referencing a static image using additional files
			window.CDSWebVisuAccess.getAdditionalFile("Codesys_Logo.svg").then( (newFilePath) => {
				var image = new Image();
				image.src = newFilePath;
				document.body.appendChild(image);
			}
			);
			
			// Referencing a static image using a data-uri
			var image = new Image();
			image.src = "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAABJSURBVDhPY/wPBAxUBExQmmqA6gaiepmREcogESAZQScXEhtPWNQP1UhBElIVhTKg4PZrKAMEhqSXR5MN5WCo5WUqgMEeKQwMADpbLgYzxxXsAAAAAElFTkSuQmCC";
			document.body.appendChild(image);
		}
	};
}());

